%bcond_without	python  # do not compile python bindings
Summary:	Library for reading and writing YAML in scripting languages
Summary(pl.UTF-8):	Biblioteka do odczytu i zapisu YAML-a w językach skryptowych
Name:		syck
Version:	0.55
Release:	4
License:	BSD
Group:		Libraries
Source0:	http://rubyforge.org/frs/download.php/4492/%{name}-%{version}.tar.gz
# Source0-md5:	a57b7c46d81170b9318e2f384f77910c
Patch0:		%{name}-shared.patch
URL:		http://whytheluckystiff.net/syck/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
%if %{with python}
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	rpm-pythonprov
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Syck is an extension for reading and writing YAML swiftly in popular
scripting languages. As Syck loads the YAML, it stores the data
directly in your language's symbol table. This means speed. This means
power. This means Do not disturb Syck because it is so focused on the
task at hand that it will slay you mortally if you get in its way.

%description -l pl.UTF-8
Syck to rozszerzenie do szybkiego odczytu i zapisu YAML-a w
popularnych językach skryptowych. Po wczytaniu YAML-a Syck zapisuje
dane bezpośrednio do tablicy symboli używanego języka. To oznacza
szybkość. To oznacza potęgę. To oznacza, że nie należy przeszkadzać
Syckowi, ponieważ tak skupia się na własnym zadaniu, że zabije, jeśli
wejdziemy mu w drogę.

%package devel
Summary:	Header files for syck library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki syck
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for syck library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki syck.

%package static
Summary:	Static syck library
Summary(pl.UTF-8):	Statyczna biblioteka syck
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static syck library.

%description static -l pl.UTF-8
Statyczna biblioteka syck.

%package -n python-syck
Summary:	Python bindings for syck library
Summary(pl.UTF-8):	Pythonowy interfejes do biblioteki syck
Group:		Libraries/Python
#Requires:	%{name} = %{version}-%{release}
%pyrequires_eq	python

%description -n python-syck
Python bindings for syck library.

%description -n python-syck -l pl.UTF-8
Pythonowy interfejs do biblioteki syck.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure 

%{__make} \
	CFLAGS="%{rpmcflags} -fPIC"

%if %{with python}
cd ext/python
CFLAGS="%{rpmcflags} -fPIC"
%py_build
cd ..
%endif

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%if %{with python}
cd ext/python
%py_install

install -d $RPM_BUILD_ROOT%{py_sitescriptdir}
%{__mv} $RPM_BUILD_ROOT%{py_sitedir}/{*.py[co],*.egg-info} $RPM_BUILD_ROOT%{py_sitescriptdir}
find $RPM_BUILD_ROOT%{py_sitedir} -name \*.py | xargs rm -f
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc CHANGELOG COPYING README README.BYTECODE RELEASE tests
%attr(755,root,root) %{_libdir}/libsyck.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsyck.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libsyck.so
%{_libdir}/libsyck.la
%{_includedir}/syck*.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libsyck.a

%if %{with python}
%files -n python-syck
%defattr(644,root,root,755)
%doc ext/python/tests
%{py_sitescriptdir}/yaml2xml.py[co]
%{py_sitescriptdir}/ydump.py[co]
%{py_sitescriptdir}/ypath.py[co]
%{py_sitescriptdir}/Syck-*.egg-info
%{py_sitedir}/syck.so
%endif
%changelog
* Thu May 05 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/syck.git;a=log;h=auto/th/syck-0.55-4

* Wed May 04 2016 Jan Rękorajski <baggins@pld-linux.org> 13ff800
- use python rpm macros
- rel 4

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 8dd0096
- release 3 (by relup.sh)

* Fri Jul 09 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 722bcdd
- release 2

* Sun Jan 13 2008 Maciej Pijanka <agaran@pld-linux.org> 4a47653
- make without_python bcond (default is with python)

* Mon Nov 26 2007 Jakub Bogusz <qboosh@pld-linux.org> 1c6ff32
- more verbose files
- include COPYING in files (BSD license and D&R joke)
- avoid passing invalid --install-platlib

* Mon Nov 26 2007 Jakub Bogusz <qboosh@pld-linux.org> 1016791
- fixed encoding

* Mon Nov 26 2007 Adam Gołębiowski <adamg@pld-linux.org> 433ae48
- BR: autoconf, automake, libtool

* Mon Nov 26 2007 Adam Gołębiowski <adamg@pld-linux.org> c14960a
- new

* Mon Nov 26 2007 Adam Gołębiowski <adamg@pld-linux.org> 3d5b7a1
- create shared lib
- devel, static subpackages
- dropped todo, ruby and php extensions available separately
- release 2

* Fri May 18 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 81d61f8
- up to 0.55

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 06015c8
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 8419fa1
- converted to UTF-8

* Fri Jun 09 2006 wolf <wolf@pld-linux.org> 98eff60
- cosmetics

* Sat Mar 12 2005 Michal Chruszcz <mchruszcz@gmail.com> 37f6834
- mass commit: remove obsolete BR: rpm-pythonprov

* Tue Jan 11 2005 Jakub Bogusz <qboosh@pld-linux.org> 5f7d6f6
- pl for base, some cleanups

* Tue Jan 11 2005 radzio <radzio@pld-linux.org> bda3e53
- cut changelog

* Tue Jan 11 2005 radzio <radzio@pld-linux.org> 16a9dcb
- initial release

